#!/bin/sh

for i in `seq 50`
do
echo "*** $i"

rm -rf test test-git
sh ./rand.sh 20 5 > log 2>&1
mkdir test-git
(cd test-git && git init)
bzr-fast-export.py -b kalle test | (cd test-git && git-fast-import) > /dev/null 2>&1
(cd test-git && git-checkout tmp && git-checkout kalle)
bzr=`(cd test && ls) | md5sum`
git=`(cd test-git && ls) | md5sum`
echo "$bzr $git"

if [ "$bzr" != "$git" ]
then
	echo "*** ERROR"
	exit 1
fi

done
